Name:           rpminspect
Version:        0.2
Release:        1%{?dist}
Summary:        Build deviation compliance tool
Group:          Development/Tools
License:        GPLv3+
URL:            https://github.com/dcantrell/rpminspect
Source0:        https://github.com/dcantrell/rpminspect/releases/download/v0.2/rpminspect-0.2.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  json-c-devel
BuildRequires:  xmlrpc-c-devel
BuildRequires:  libxml2-devel
BuildRequires:  rpm-devel
BuildRequires:  libarchive-devel
BuildRequires:  elfutils-devel
BuildRequires:  kmod-devel
BuildRequires:  libcurl-devel
BuildRequires:  zlib-devel
BuildRequires:  libmandoc-devel <= 1.14.4
BuildRequires:  iniparser-devel
BuildRequires:  libyaml-devel

%description
Build deviation and compliance tool.  This program runs a number of tests
against one or two builds of source RPM files.  The built artifacts are
inspected and compared to report changes and validate policy compliance
against the defined parameters.


%package -n librpminspect
Summary:        Library providing RPM test API and functionality
Group:          Development/Tools
Requires:       rpminspect-data
Requires:       /usr/bin/desktop-file-validate

%description -n librpminspect
The library providing the backend test functionality and API for the
rpminspect frontend program.  This library can also be used by other
programs wanting to incorporate RPM test functionality.


%package -n librpminspect-devel
Summary:         Header files and development libraries for librpminspect
Group:           Development/Tools
Requires:        librpminspect%{?_isa} = %{version}-%{release}
Requires:        rpminspect-data

%description -n librpminspect-devel
The header files and development library links required to build software
using librpminspect.


%package -n rpminspect-data-generic
Summary:         Template data files used to drive rpminspect tests
Group:           Development/Tools
Provides:        rpminspect-data

%description -n rpminspect-data-generic
The rpminspect-data-generic package is meant as a template to build your
product's own data file.  The files in it contain product-specific
information.  The files in this package explain how to construct the
control files.


%prep
%setup -q


%build
[ -x configure  ] || ./autogen.sh
CFLAGS="%{optflags}" %configure --disable-static
%make_build


%install
%make_build install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.la


%files
%doc AUTHORS README TODO
%license COPYING
%{_bindir}/rpminspect
%{_mandir}/man1/rpminspect.1*


%files -n librpminspect
%license COPYING
%{_libdir}/librpminspect.so.*


%files -n librpminspect-devel
%{_includedir}/librpminspect
%{_libdir}/librpminspect.so


%files -n rpminspect-data-generic
%license COPYING
%{_datadir}/rpminspect
%dir %{_sysconfdir}/rpminspect
%config(noreplace) %{_sysconfdir}/rpminspect/rpminspect.conf


%changelog
* Thu Aug 01 2019 David Cantrell <dcantrell@redhat.com> - 0.2-1
- See commit log at https://github.com/dcantrell/rpminspect
